Bug 217403 - Instance specific schema files should be owned by server uid
Instance specific schema files should be owned by server uid
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.0.4
All All
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 152373 240316 FDS1.1.0
  Show dependency treegraph
 
Reported: 2006-11-27 14:25 EST by Rich Megginson
Modified: 2015-12-07 11:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:56:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs (3.94 KB, patch)
2006-11-27 14:28 EST, Rich Megginson
no flags Details | Diff

  None (edit)
Description Rich Megginson 2006-11-27 14:25:07 EST
When creating a new instance from an autoconf style build, the new schema files
copied into the instance specific directory are owned by root, not the server
uid.   They should be chown'd to the server uid.
Comment 1 Rich Megginson 2006-11-27 14:28:00 EST
Created attachment 142214 [details]
diffs
Comment 2 Nathan Kinder 2006-11-27 16:04:37 EST
ok.
Comment 3 Rich Megginson 2006-11-27 16:41:43 EST
Reviewed by: nkinder (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: Add a new function - ds_copy_group_files_using_mode_owner() -
that allows you to set the file mode and owner when copying directories and
files.  Use that function when copying the schema files to the new instance
directory.
Platforms tested: RHEL4
Flag Day: no
Doc impact: no

Checking in ldapserver/ldap/admin/src/create_instance.c;
/cvs/dirsec/ldapserver/ldap/admin/src/create_instance.c,v  <--  create_instance.c
new revision: 1.37; previous revision: 1.36
done
Comment 4 Michael Gregg 2007-12-20 18:44:20 EST
They seem to be owned by nobody here:
-rw-------  1 nobody nobody  24K Dec 14 15:09 __db.001
-rw-------  1 nobody nobody 9.6M Dec 14 15:09 __db.002
-rw-------  1 nobody nobody 1.1M Dec 14 15:09 __db.003
-rw-------  1 nobody nobody 4.4M Dec 14 15:09 __db.004
-rw-------  1 nobody nobody  48K Dec 14 15:09 __db.005
-rw-------  1 nobody nobody   21 Dec 14 15:09 DBVERSION
-rw-------  1 nobody nobody  10M Dec 20 15:42 log.0000000005
drwx------  2 nobody nobody 4.0K Dec 14 15:09 NetscapeRoot
drwx------  2 nobody nobody 4.0K Dec 14 15:22 userRoot

"nobody" is the server uid.
Verified aginst:
1197673782 redhat-ds-base-8.0.0-11.el5dsrv Fri Dec 14 2007 
1197673784 redhat-ds-admin-8.0.0-1.15.el5dsrv Fri Dec 14 2007 
1197673785 redhat-ds-console-8.0.0-8.el5dsrv Fri Dec 14 2007 
1197673786 redhat-admin-console-8.0.0-9.el5dsrv Fri Dec 14 2007

Note You need to log in before you can comment on or make changes to this bug.